Crear crédito
curl --request POST \
--url https://api.finup.ar/api/clients/{clientId}/credits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, credit_config_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.finup.ar/api/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{clientId}/credits"
payload = {
"amount": 123,
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"credit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
},
"installments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"amount": 123,
"due_date": "2023-12-25",
"status": "pending",
"overdue": true,
"days_late": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Créditos
Crear crédito
Genera un crédito y sus cuotas a partir de un plan (configuración). Las cuotas se calculan con la configuración elegida. Requiere acceso total (una clave de solo lectura recibe 403).
POST
https://api.finup.ar
/
api
/
clients
/
{clientId}
/
credits
Crear crédito
curl --request POST \
--url https://api.finup.ar/api/clients/{clientId}/credits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, credit_config_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.finup.ar/api/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{clientId}/credits"
payload = {
"amount": 123,
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"credit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
},
"installments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"amount": 123,
"due_date": "2023-12-25",
"status": "pending",
"overdue": true,
"days_late": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Path Parameters
ID del cliente.
Body
application/json
